2005-11-03  Tom Yu  <tlyu@mit.edu>

	* mkrel: Delete .svn directories to avoid pathname length bloat.

2005-10-25  Tom Yu  <tlyu@mit.edu>

	* ac_check_krb5.m4: Set LIBS rather than LDFLAGS.

2005-10-18  Tom Yu  <tlyu@mit.edu>

	* ac_check_krb5.m4: Example autoconf macro to use krb5-config for
	setting build flags for applications.

2005-09-08  Tom Yu  <tlyu@mit.edu>

	* mkrel: Update for svn.

2004-12-21  Tom Yu  <tlyu@mit.edu>

	* def-check.pl: Check for PRIVATE or INTERNAL annotations in defs
	file.

2004-10-31  Tom Yu  <tlyu@mit.edu>

	* mkrel: Rework quoting for RELTAIL check.  Don't check RELTAIL if
	doing a "-current" snapshot.

2004-09-24  Tom Yu  <tlyu@mit.edu>

	* mkrel: Rework somewhat to handle patchlevel.h being the new
	master version stamp file.

2004-09-14  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Export ACLOCAL=true to environment.

2004-06-18  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-windows): Build support directory.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MAC_SUBDIRS): Don't set.
	(all-mac): Target deleted.

2004-06-16  Tom Yu  <tlyu@mit.edu>

	* depfix.sed: Delete /os/usr/include as well, to cope with an
	athena hack.  (#include "/os/usr/include/sys/rwstlock.h" in
	sys/vnode.h)

2004-05-04  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LOCAL_SUBDIRS): Build support library.

2004-04-22  Ken Raeburn  <raeburn@mit.edu>

	* libupdate.sh, makeshlib.sh: Deleted.
	* Makefile.in (libupdate, makeshlib): Targets deleted.
	(all-recurse): Don't depend on them.
	(clean): Don't try to delete them.

2004-03-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LOCAL_SUBDIRS): Renamed from MY_SUBDIRS.

2004-03-05  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Delete autom4te.cache directories after running
	autoreconf.

2004-02-26  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Drop apputils.

2004-02-24  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Build in apputils dir.

2004-02-12  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (all-recurse): Remove exitsleep.
	
	* Makefile.in (all-unix, clean-unix): Add new rule to build fake
	root directory for _RLD_ROOT hacks.

2003-12-05  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (DL_COMPILE, DL_COMPILE_TAIL): New variables to
	support compilation of the exitsleep LD_PRELOAD object.

	* exitsleep.c: New file.  LD_PRELOAD object for Solaris, to work
	around a kernel bug where final output prior to a pty close gets
	lost.

2003-05-23  Ken Raeburn  <raeburn@mit.edu>

	* depfix.sed: Don't check for krb524 headers.

2003-05-18  Ken Raeburn  <raeburn@mit.edu>

	* depgen.sed: Put print command on separate lines from
	substitution commands, instead of using s///p form.

2003-05-15  Tom Yu  <tlyu@mit.edu>

	* mkrel: Remote autom4te.cache files.

2003-04-24  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Restore support for 2.52; reject older versions.

2003-04-23  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Drop support for 2.52 and earlier.

2003-04-10  Tom Yu  <tlyu@mit.edu>

	* reconf: Warn if autoconf-2.52 is used, as it generates buggy
	configure scripts that don't work with BSD /bin/sh, and don't
	comply with POSIX.2 (no conditions inside "case" statement).

2003-02-05  Tom Yu  <tlyu@mit.edu>

	* mkrel: Exclude .rconf files.

2002-12-23  Tom Yu  <tlyu@mit.edu>

	* depfix.sed: Convert dependencies on generated krb524 and krb4
	headers to variable references.

2002-11-27  Tom Yu  <tlyu@mit.edu>

	* depfix.sed: Remove tcl-specific headers from dependencies.
	Delete now obsolete comment about gcc-specific directories.

2002-11-13  Ezra Peisach  <epeisach@bu.edu>

	* reconf: For pre autoconf 2.54 - invoke autoreconf with -l for
	localdir. Posr 2.54 use the -I option.

2002-09-27  Tom Yu  <tlyu@mit.edu>

	* depgen.sed: Solaris sed doesn't like '\(^.*$\)'; replace it with
	'^\(.*\)$'.

2002-09-13  Ken Raeburn  <raeburn@mit.edu>

	* depgen.sed: Now expects a fifth argument, the pathname for
	libgcc.  Replaces "libgcc" part with "include" and emits sed
	patterns to discard any names starting with that prefix.
	* depfix.sed: Drop handling of /mit/gnu and /mit/cygnus.

	* Makefile.in (MY_SUBDIRS): Use MAYBE_DB_@DB_VERSION@.
	(MAYBE_DB_k5, MAYBE_DB_sys): New variables.

	* depfix.sed: Replace db2 headers with $(DB_DEPS).

2002-09-10  Ken Raeburn  <raeburn@mit.edu>

	* depgen.sed: Now expects four values passed in; generates
	complete sed script, with quoting for ".." in pathnames.

2002-09-03  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Give up if autoreconf fails.

2002-09-03  Tom Yu  <tlyu@mit.edu>

	* mkrel: set -e to catch errors.  Only build and clean autoconf if
	it exists.

2002-08-30  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS) [##WIN32##]: Hide variable definition
	inside "!if 0" block.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MAYBE_ET_k5, MAYBE_ET_sys, MAYBE_SS_k5,
	MAYBE_SS_sys): New variables.
	(MY_SUBDIRS): Refer to them, choosing via new configure
	substitutions.

	* depfix.sed: Replace in-tree ss header files with $(SS_DEPS).

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-07-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Delete dyn.
	* dyn: Directory and contents deleted.

	* reconf: Create include/krb5/autoconf.stmp on success if it
	didn't already exist.

2002-07-05  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SLIBSH): Use vertical-bar instead of comma for
	substituting CC in case the CC specified uses commas.

2002-06-15  Ken Raeburn  <raeburn@mit.edu>

	* depfix.sed: Ignore header files under /mit/gnu/.  Replace
	$(BUILDTOP)/include/com_err.h with $(COM_ERR_DEPS), now defined
	via pre.in.

2002-04-25  Ezra Peisach  <epeisach@bu.edu>

	* reconf: Only for autoreconf 2.53, create a private copy of
	autoreconf with a patch to a bug that prevented use of three
	levels configure.in files. The bug is fixed in the development
	version 2.53a.

2002-04-16  Danilo Almeida  <dalmeida@mit.edu>

	* def-check.pl: Handle KRB5_CALLCONV_WRONG in .def file.

2002-04-05  Danilo Almeida  <dalmeida@mit.edu>

	* def-check.pl: Better error checking.  Handles variable argument
	functions more nicely.  Support for KRB5_CALLCONV_WRONG,
	KRB5INT_BEGIN_DECLS, KRB5INT_END_DECLS.  Works with krb5.hin,
	krb5.h, and k5-int.h (giving different information for the last
	one, of course).

2001-10-25  Ezra Peisach  <epeisach@mit.edu>

	* reconf: Require autoconf 2.13. Remove support for local autoconf
	tree.

2001-10-17  Danilo Almeida  <dalmeida@mit.edu>

	* def-check.pl: Provide a little bit of usage info.  More
	error-checking.

2001-10-17  Ken Raeburn  <raeburn@mit.edu>

	* def-check.pl: New file.  Not currently used by any automatic
	processes.  Checks krb5.hin against krb5_32.def for consistency;
	might work with other .h/.def files but hasn't been tested.

2001-10-10  Ken Raeburn  <raeburn@mit.edu>

	* depfix.sed: Change "foo.o" to "$(OUTPRE)foo.$(OBJEXT)" so that
	generated dependencies will take effect on Windows too.

2001-09-06  Ken Raeburn  <raeburn@mit.edu>

	* depgen.sed: New file.
	* depfix.sed: Remove /foo/../ sequences, looping 'til no more.

2001-09-01  Ken Raeburn  <raeburn@mit.edu>

	* depfix.sed: Temporarily add trailing whitespace to make
	substitutions more regular.  Split lines before writing out.
	Drop "$(srcdir)/" prefix for files in current directory, in favor
	of using VPATH.

2001-06-15  Ken Raeburn  <raeburn@mit.edu>

	* getsyms: Fix quoting around find command looking for
	configure.in files; sort list.

2001-04-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (unixmac): Target deleted.

2001-04-05  Tom Yu  <tlyu@mit.edu>

	* mkrel: When generating multiple tarballs, also generate a
	consolidated tarball.  Default to making a single
	tarball. [pullups from krb5-1-2-2-branch]

2001-01-28  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove rule for aix.bincmds; we don't need it
	anymore.

	* makeshlib.sh: Use the linker flag -berok so that unresolved
	symbols don't turn into link-time errors for building shared libs
	on AIX.

2000-11-01  Ezra Peisach  <epeisach@mit.edu>

	* reconf: Rework syntax to detect version numbers of newer
	autoconf versions. For autoconf > 2.19, we need to pass an
	absolute path for the localdir to autoreconf.

2000-10-27  Ezra Peisach  <epeisach@mit.edu>

	* reconf: Pass "-m util/autoconf" to autoreconf only if we are
	using the source trees version of autoconf.

2000-10-03  Ken Raeburn  <raeburn@mit.edu>

	* reconf: Look for autoconf 2.12 or later.  Don't use "grep -q",
	it's not portable enough.

2000-06-30  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (all-unix, clean_unix): Removed util/db2 include
	symlinking rules.

	* Makefile.in (all-unix, clean_unix): Update for current geography
	of util/db2; needs to be moved to util/db2/Makefile.in at some
	point.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-08-16  Tom Yu  <tlyu@mit.edu>

	* mkrel (reldate): Fix to deal with release branch snapshots.

Wed May 19 11:43:36 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Add all and cleanup rules for windows for windows,
		et, and profile subdirectories.

Sat May 15 19:48:31 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* makeshlib.sh (library): Add -bnoentry to the AIX shared library
 		link line so that the shared libraries can be dynamically
 		loaded.  Also make the library file executable, which is
 		apparently also necessary.  (Patch from Duke, needed for
 		SAP.  Note: I didn't take their addition of -lbsd, since I
 		don't think that's needed or a good idea).

1999-01-27  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in, configure.in: Move the responsibility for
		generating the Makefile in this directory to the top-level
		configure script.  The local configure.in script has been
		deleted.

Thu Sep 24 20:05:33 1998  Tom Yu  <tlyu@mit.edu>

	* mkrel: Add fixes to deal with "tails" on release directories,
	e.g. for beta releases.

Wed Feb 18 16:31:21 1998  Tom Yu  <tlyu@mit.edu>

	* send-pr/Makefile.in: Remove trialing slash from thisconfigdir.
	Fix up BUILDTOP for new conventions.

	* Makefile.in (thisconfigdir): Remove trailing slash.

Mon Feb  2 16:16:45 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Jan 28 17:26:46 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in, Makefile.in: Remove conditional AppendRule only
		for AIX, and make it happen all the time in Makefile.in

Wed Nov 19 10:52:38 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (clean-unix): Remove db lib symlinks.

Thu Nov 13 20:28:31 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* libupdate.sh: Add semicolons to prevent Bash 2.0 from
	 	complaining.  [krb5-build/486]

Wed Oct  8 16:19:49 1997  Tom Yu  <tlyu@mit.edu>

	* mkrel: Allow for edits of relevant files that should be changed
	each time a release is cut.  Some snapshot support.  Add "-9" flag
	to gzip.

Fri Feb 21 15:58:19 1997  Sam Hartman  <hartmans@mit.edu>

	* makeshlib.sh : Remove non AIX stuff; rewrite AIX stuff to work
 	with new build system.

Fri Dec  6 10:59:32 1996  Tom Yu  <tlyu@mit.edu>

	* getsyms: Don't echo filename if there are no bad symbols.

	* getsyms.sed: Fixup to handle long comments somewhat more
	gracefully.

Mon Nov 25 21:00:24 1996  Tom Yu  <tlyu@mit.edu>

	* mkrel: Add support for --srconly, --doconly, --nocheckout,
	--repository, etc.  They do the obvious things.

Fri Nov 22 11:08:16 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* makeshlib.sh (VERSION): Fix SunOS shared libs [226]

Tue Nov 12 17:32:08 1996  Barry Jaspan  <bjaspan@mit.edu>

	* send-pr/send-pr.sh (MAIL_AGENT): change "[-x" to "[ -x"

Sat Nov  2 02:24:20 1996  Sam Hartman  <hartmans@mit.edu>

	* configure.in (SHLIB_TAIL_COMP): Add send-pr

Fri Nov  8 13:17:23 1996  Tom Yu  <tlyu@mit.edu>

	* mkrel: Fix to work with new modules definitions because cvs
 	export -d foo doesn't dtrt.

Sun Nov  3 21:07:35 1996  Tom Yu  <tlyu@mit.edu>

	* mkrel: Run make in doc so that .info and .ps files get created.
	[krb5-misc/143]

Thu Oct 31 12:51:13 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kbuild: Add an option SHARED for configuring --enable-shared. 

Tue Oct 29 15:39:12 1996  Tom Yu  <tlyu@mit.edu>

	* makeshlib.sh: Allow stuffing of SONAME field in shared lib if
	gcc is being used; this requires newer (2.7.0?) gcc and possibly
	binutils (2.6?)

Mon Oct 21 21:23:15 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Fixes for new subdir recursion method.

Thu Sep  5 18:48:46 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (all-unix): Fix symlinking so building in a link
 		farm or in source directory won't result in dangling
 		db-ndbm.h symlink.

Sat Aug 31 01:34:41 1996  Ken Raeburn  <raeburn@cygnus.com>

	* makeshlib.sh (*-*-aix*): Echo more stuff before running it.
	Always use /bin/ld -- the GNU linker isn't supported yet.  Don't
	pass -x or -bfilelist.  Whitespace changes.

Thu Aug 15 20:48:16 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* makeshlib.sh (alpha-*-osf*): add -expect_unresolved (due to
		dbm_error and dbm_clearerr not being in libc when making
		libkdb5)

Thu Aug 15 16:30:00 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (all unix): "install" the db-ndbm header file with
	 	symlinks.

Sun Jul 28 00:43:16 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* makeshlib.sh (aix Allow symbols for the shared library to
        overide symbols from libc.

Wed Jul 10 00:52:28 1996  Marc Horowitz  <marc@mit.edu>

	* Makefile.in (all-unix): "install" the db2 headers and libs with
 	symlinks.  db2 has its own self-contained autoconf setup, so this
 	is necessary here.
	(all-unix): before installing db2, remove the links, so ln won't
	fail the second time.

Tue Jul  9 19:29:12 1996  Marc Horowitz  <marc@mit.edu>

	* configure.in (CONFIG_DIRS): always build db2

Mon May 20 11:05:49 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* libupdate.sh: allow to deal with multiple directories at once

Sun May 19 23:53:21 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* libupdate.sh: do the shift before the assignments

Sat May 18 02:05:39 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* libupdate.sh: Define $library from the positional arguments
		before --force uses $library.

Tue Apr 16 22:26:36 1996  Ken Raeburn  <raeburn@cygnus.com>

	Wed Mar  6 05:02:36 1996  Mark Eichin  <eichin@cygnus.com>

	* libupdate.sh: $ARCHIVE does not delete when creating. Explicitly
	remove $library when using --force.

Fri Mar 29 16:42:24 1996  Richard Basch  <basch@lehman.com>

	* makeshlib.sh: Added support for SunOS shared libraries.

Sat Feb 24 19:03:53 1996  Theodore Y. Ts'o  <tytso@dcl>

	* makeshlib.sh: Add support for HPUX and Sinix (sys5r4 on mips).

Wed Feb  7 00:26:47 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Folded in danw's changes to allow
		building Makefiles for the Macintosh.  We now can build
		MPW makefiles which are interpreted by CodeWarrior.

Thu Nov  2 17:05:05 1995    <tytso@rsx-11.mit.edu>

	* makeshlib.sh: Added support for Linux shared libraries.

Wed Oct 11 17:21:16 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* makeshlib.sh:  bring in library version and do something with it for AIX.

Mon Oct  9 19:00:13 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* makeshlib.sh: For NetBSD convert flags designed for cc to ones
		for ld.

Mon Oct  2 12:12:20 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* makeshlib.sh: For solaris, if you are not using gcc, add the -h
		argument to specify the name of the shared library to
		load. (i.e. libfoo.so.0.1).

Mon Sep 25 16:41:11 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Thu Aug 24 18:40:48 1995  Theodore Y. Ts'o  <tytso@dcl>

	* .Sanitize: Update file list

Mon Aug  7 19:36:01 1995  Theodore Y. Ts'o  <tytso@dcl>

	* reconf: If using the autoconf in the local tree, invoke it using
		/bin/sh, so that it works even if autoconf has been
		checked out from SCCS without the execute bit set.

Wed Jul 26 15:39:53 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* configure.in (SHLIB_TAIL_COMP): Add pty to CONFIG_DIRS

Thu Jul 13 16:09:10 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* makeshlib.sh (ldflags): Protect test for HAVE_GCC so it works if not using gcc.


Thu Jul  6 09:52:08 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (clean): Remove makeshlib

Tue Jul  4 02:11:56 1995  Tom Yu  <tlyu@lothlorien.MIT.EDU>

	* makeshlib.sh: Add support for NetBSD shared libraries.

Sun Jul  2 20:42:45 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* makeshlib.sh (ldflags): Adapt AIX case to work with Gcc.

	* configure.in: Move Gcc test to top level configure.in.

Fri Jun 23 19:11:20 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* configure.in: Add aix.bincmds as target on AIX.
	(SHLIB_TAIL_COMP): set and substitute so SHLIBDIR works

	* Makefile.in (makeshlib): Create aix.bincmds with the binder
        script exerpt to get the libpath right.

	* configure.in: Modified to test and see if we're using Gcc

	* Makefile.in (makeshlib): Make makeshlib from makeshlib.sh


	* makeshlib.sh (LIBPATH): Modified to allow for substitution of CC
        and HAVE_GCC from Makefile.  Modified to imbed the proper search
        path into the shared libraries for AIX.


Thu Jun 22 21:02:13 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* makeshlib: Added AIX support.

Mon Jun 19 00:58:33 1995  Tom Yu  (tlyu@dragons-lair)

	* getsyms, getsyms.sed: fix a few random bugs

	* getsyms, getsyms.sed: simple scripts to find #ifdef's that
		aren't declared with configure.in

Fri Jun 16 14:05:03 1995  Tom Yu  (tlyu@dragons-lair)

	* libupdate.sh: oops they were right to begin with; hack
		aclocal.m4 instead.

	* libupdate.sh: ARADD and ARCHIVE were backwards

Thu Jun 15 18:14:46 EDT 1995	Paul Park	(pjpark@mit.edu)
	* makeshlib - Add arguments for library search directories, library
		lists and flags to link with.

Fri Jun  9 18:59:02 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.  Use DO_SUBDIRS to
		recurse down subdirectories.

Tue Jun  6 19:46:00 1995  Tom Yu  (tlyu@dragons-lair)

	* configure.in: fix make install


Fri May 26 18:43:35 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in	- Add berk_db

Fri May 26 13:29:07 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* makeshlib: For alpha-osf1 update the local shared library registry 

Fri May 26 12:41:28 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* makeshlib: Added alpha-osf1 support. Will only work
		for libcrypto at the moment.

Thu May 25 21:39:02 1995  Theodore Y. Ts'o  (tytso@dcl)

	* makeshlib: Added shell script for creating shared libraries

Tue May  2 21:32:23 1995  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: remove spurious whitespace from blank line

Fri Apr 28 15:30:03 1995  Mark Eichin  <eichin@cygnus.com>

	* lndir (ls): use ls -a to get dotfiles too.

Fri Apr 28 10:59:25 1995  Mark Eichin  <eichin@cygnus.com>

	* reconf (usage): fix the whole message.

Wed Apr 26 11:31:04 1995  Mark Eichin  <eichin@cygnus.com>

	* reconf (usage): fix pathname in message.
	(verbose): add -v --verbose to echo actual autoreconf line.

Thu Apr 20 21:19:36 1995  Theodore Y. Ts'o  (tytso@dcl)

	* depfix.sed: Also remove pathnames of the form /mit/cygnus....
		from the generated list of dependencies.

Sat Apr 15 06:40:28 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* configure.in: Add profile directory

Tue Mar 28 18:50:04 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (all):  Split into all-$(WHAT).
	(unixmac):  Add.
	(libupdate):  Use $(RM).

Mon Feb 27 00:01:41 1995  Mark Eichin  <eichin@cygnus.com>

	* lndir: if $0 contains slashes, but does not have a leading
	slash, prepend `pwd` so that relative invocation works.

Fri Feb  3 16:50:07 1995  Theodore Y. Ts'o  (tytso@dcl)

	* reconf: If util/autoconf isn't built, try to use autoconf
		utilities found in the user's path.

Tue Nov  8 01:44:26 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Don't use $< in a non suffix rule context.

Tue Nov  1 14:49:00 1994    (tytso@rsx-11)

	* libupdate.sh: Use library.stamp to determine whether or not
		$arcmd needs to be rerun. 

	* libupdate.sh: touch the library first, before running $aradd, in
		case changing the mod time of the library after running
		$aradd causes problems on some systems.

	* libupdate.sh: Change use of "head -1" to "sed 1q"

	* configure.in: 
	* Makefile.in:
	* libupdate.sh: Add support for the new libupdate shell script.
		It automatically updates a library from a file listing of
		constituent .o files.  It only calls "ar" if it absolutely
		has to, in order to speed things up for partial
		recompilations.  (ar is dreadfully slow if you're using
		one based on the BFD library.) 

Tue Oct 11 19:07:09 1994  Mark Eichin  (eichin@cygnus.com)

	* kbuild (MAKETARGETS): default to "all check" for make, but allow
	override from config fragments.

Mon Oct  3 23:36:12 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Don't build unifdef directory --- we don't need it
			anymore.

Fri Sep 30 20:22:53 1994  Mark Eichin  (eichin@cygnus.com)

	* kbuild: log arguments to THISCONF, RECONF files.

Fri Sep 30 19:28:24 1994  Mark Eichin  (eichin@cygnus.com)

	* kbuild: set SRCDIR by default from program name.

Thu Sep 29 19:54:38 1994  Mark Eichin  (eichin@cygnus.com)

	* kbuild: complete rewrite.
	* kfrags: fragments of input to kbuild.

